namespace View_by_Distance.Map.Models.Stateless;

public interface IMapLogic
{ // ...

    (bool?, string[]) TestStatic_IsWrongYear(Shared.Models.Item item);
    static (bool?, string[]) IsWrongYear(Shared.Models.Item item) =>
       MapLogic.IsWrongYear(item);

    string TestStatic_GetDateKey(DateTime dateTime, Shared.Models.Mapping mapping, DateTime minimumDateTime, bool? isWrongYear);
    static string GetDateKey(DateTime dateTime, Shared.Models.Mapping mapping, DateTime minimumDateTime, bool? isWrongYear) =>
       MapLogic.GetDateKey(dateTime, mapping, minimumDateTime, isWrongYear);

    Dictionary<string, List<Shared.Models.MappingContainer>> TestStatic_GetKeyValuePairs(string[] ignoreRelativePaths, string argZero, Shared.Models.Container[] containers);
    static Dictionary<string, List<Shared.Models.MappingContainer>> GetKeyValuePairs(string[] ignoreRelativePaths, string argZero, Shared.Models.Container[] containers) =>
       MapLogic.GetKeyValuePairs(ignoreRelativePaths, argZero, containers);

}