namespace View_by_Distance.Shared.Models.Properties;

public interface IItem
{

    public bool? Abandoned { get; }
    public bool? Changed { get; }
    public List<Closest> Closest { get; }
    public List<Face> Faces { get; }
    public FileHolder? ImageFileHolder { get; }
    public List<Mapping> Mapping { get; }
    public bool? Moved { get; }
    public bool? NoJson { get; }
    public Property? Property { get; }
    public string RelativePath { get; }
    public FileHolder? ResizedFileHolder { get; }
    public string SourceDirectoryFile { get; }
    public bool ValidImageFormatExtension { get; }

}